eclipse导入工程的“The importandroid.os cannot be resolved”错误解决办法

通过eclipse的import功能导入一个工程,出现了“The import android cannot be resolved”错误。

其实这个错误是Android的SDK问题,我们设置SDK的版本就可以了。

有如下方法1:

在project- Properties- Android中的Project Build Target里面勾选相应的SDK即可解决。

方法2:

在文件:default.properties文件,也就是属性文件,把

target=android-XX

改成:target=android-8就可以了,当然,这里是你环境的SDK版本。。。我这里是2.2也就是8了。

(ps:以上引入来自http://www.hankcs.com/program/mobiledev/quotthe_import_android_cannot_be_resolvedquot_error_solution_import_project.html)

但是很多朋友会发现Prosource中不没有Android选项


这是因为项目并不是Android项目,这时我们只需要右键选中项目,Configure—Convert ADT Configuration 点击即可在Properties中出现Android选项


选中对应的sdk,刷新或者重启eclipse即可(一般无需重启)



阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭